## view
Class GoForm

    java.lang.Object
      xhtml.HtmlObject
          xhtml.HtmlElement
              xhtml.ContainerElement
                  xhtml.Form
                      xhtml.PostForm
                          view.GoForm

    public class GoForm

extends xhtml.PostForm

Nested Class Summary

Nested classes/interfaces inherited from class xhtml.Form
`xhtml.Form.SendMethod`

Constructor Summary
`GoForm(GoURL url)` Constructs the element.
`GoForm(java.lang.String url)` As above, but accepts a String, which is automatically converted to a Go URL.

Method Summary

Methods inherited from class xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class xhtml.HtmlElement
`setAttribute, setClass, setId, setName`

Methods inherited from class xhtml.HtmlObject
`getHtml, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GoForm

    public GoForm(GoURL url)

  Constructs the element.

  Parameters:
    `url` - a URL for the 'action' attribute.

### GoForm

    public GoForm(java.lang.String url)

  As above, but accepts a String, which is automatically converted to a Go URL.